PrivateKey (Java Platform SE 8 )
Keywords: java.security.PrivateKey interface
Date: 2016-04-24

compact1, compact2, compact3
java.security

## Interface PrivateKey

- All Superinterfaces:
    Destroyable, Key, Serializable
  All Known Subinterfaces:
    DHPrivateKey, DSAPrivateKey, ECPrivateKey, RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey, RSAPrivateKey

      public interface PrivateKey
      extends Key, Destroyable

  A private key. The purpose of this interface is to group (and provide type safety for) all private key interfaces.

  Note: The specialized private key interfaces extend this interface. See, for example, the `DSAPrivateKey` interface in `java.security.interfaces`.

  Implementations should override the default `destroy` and `isDestroyed` methods from the `Destroyable` interface to enable sensitive key information to be destroyed, cleared, or in the case where such information is immutable, unreferenced. Finally, since `PrivateKey` is `Serializable`, implementations should also override `ObjectOutputStream.writeObject(java.lang.Object)` to prevent keys that have been destroyed from being serialized.

  See Also:
    `Key`, `PublicKey`, `Certificate`, `Signature.initVerify(java.security.PublicKey)`, `DSAPrivateKey`, `RSAPrivateKey`, `RSAPrivateCrtKey`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

  - ### Method Summary

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

    - ### Methods inherited from interface javax.security.auth.Destroyable

      `destroy, isDestroyed`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.
      See Also:
        Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.